org.eclipse.oomph.setup.mylyn

## Interface MylynPackage

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    MylynPackageImpl

      public interface MylynPackage
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `MylynFactory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/emf/2002/Ecore schemaLocation='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/Mylyn.ecore'" annotation="http://www.eclipse.org/oomph/setup/Enablement variableName='setup.mylyn.p2' repository='${oomph.update.url}' installableUnits='org.eclipse.oomph.setup.mylyn.feature.group'" annotation="http://www.eclipse.org/oomph/setup/Enablement variableName='setup.mylyn.p2' repository='http://download.eclipse.org/mylyn/releases/latest'" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/plugins/org.eclipse.oomph.setup.mylyn.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `MylynPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUILD_PLAN` The meta object id for the '`Build Plan`' class.
    `static int` | `BUILD_PLAN__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `BUILD_PLAN__NAME` The feature id for the 'Name' attribute.
    `static int` | `BUILD_PLAN_FEATURE_COUNT` The number of structural features of the 'Build Plan' class.
    `static MylynPackage` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `MYLYN_BUILDS_TASK` The meta object id for the '`Builds Task`' class.
    `static int` | `MYLYN_BUILDS_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `MYLYN_BUILDS_TASK__BUILD_PLANS` The feature id for the 'Build Plans' containment reference list.
    `static int` | `MYLYN_BUILDS_TASK__CONNECTOR_KIND` The feature id for the 'Connector Kind' attribute.
    `static int` | `MYLYN_BUILDS_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `MYLYN_BUILDS_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `MYLYN_BUILDS_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `MYLYN_BUILDS_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `MYLYN_BUILDS_TASK__PASSWORD` The feature id for the 'Password' attribute.
    `static int` | `MYLYN_BUILDS_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `MYLYN_BUILDS_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `MYLYN_BUILDS_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `MYLYN_BUILDS_TASK__SERVER_URL` The feature id for the 'Server URL' attribute.
    `static int` | `MYLYN_BUILDS_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `MYLYN_BUILDS_TASK__USER_ID` The feature id for the 'User ID' attribute.
    `static int` | `MYLYN_BUILDS_TASK_FEATURE_COUNT` The number of structural features of the 'Builds Task' class.
    `static int` | `MYLYN_QUERIES_TASK` The meta object id for the '`Queries Task`' class.
    `static int` | `MYLYN_QUERIES_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `MYLYN_QUERIES_TASK__CONNECTOR_KIND` The feature id for the 'Connector Kind' attribute.
    `static int` | `MYLYN_QUERIES_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `MYLYN_QUERIES_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `MYLYN_QUERIES_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `MYLYN_QUERIES_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `MYLYN_QUERIES_TASK__PASSWORD` The feature id for the 'Password' attribute.
    `static int` | `MYLYN_QUERIES_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `MYLYN_QUERIES_TASK__QUERIES` The feature id for the 'Queries' containment reference list.
    `static int` | `MYLYN_QUERIES_TASK__REPOSITORY_URL` The feature id for the 'Repository URL' attribute.
    `static int` | `MYLYN_QUERIES_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `MYLYN_QUERIES_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `MYLYN_QUERIES_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `MYLYN_QUERIES_TASK__USER_ID` The feature id for the 'User ID' attribute.
    `static int` | `MYLYN_QUERIES_TASK_FEATURE_COUNT` The number of structural features of the 'Queries Task' class.
    `static int` | `QUERY` The meta object id for the '`Query`' class.
    `static int` | `QUERY__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `QUERY__ATTRIBUTES` The feature id for the 'Attributes' map.
    `static int` | `QUERY__SUMMARY` The feature id for the 'Summary' attribute.
    `static int` | `QUERY__TASK` The feature id for the 'Task' container reference.
    `static int` | `QUERY__URL` The feature id for the 'URL' attribute.
    `static int` | `QUERY_ATTRIBUTE` The meta object id for the '`Query Attribute`' class.
    `static int` | `QUERY_ATTRIBUTE__KEY` The feature id for the 'Key' attribute.
    `static int` | `QUERY_ATTRIBUTE__VALUE` The feature id for the 'Value' attribute.
    `static int` | `QUERY_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Query Attribute' class.
    `static int` | `QUERY_FEATURE_COUNT` The number of structural features of the 'Query' class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EAttribute` | `getBuildPlan_Name()` Returns the meta object for the attribute '`Name`'.
    `EClass` | `getBuildPlan()` Returns the meta object for class '`Build Plan`'.
    `EReference` | `getMylynBuildsTask_BuildPlans()` Returns the meta object for the containment reference list '`Build Plans`'.
    `EAttribute` | `getMylynBuildsTask_ConnectorKind()` Returns the meta object for the attribute '`Connector Kind`'.
    `EAttribute` | `getMylynBuildsTask_Password()` Returns the meta object for the attribute '`Password`'.
    `EAttribute` | `getMylynBuildsTask_ServerURL()` Returns the meta object for the attribute '`Server URL`'.
    `EAttribute` | `getMylynBuildsTask_UserID()` Returns the meta object for the attribute '`User ID`'.
    `EClass` | `getMylynBuildsTask()` Returns the meta object for class '`Builds Task`'.
    `MylynFactory` | `getMylynFactory()` Returns the factory that creates the instances of the model.
    `EAttribute` | `getMylynQueriesTask_ConnectorKind()` Returns the meta object for the attribute '`Connector Kind`'.
    `EAttribute` | `getMylynQueriesTask_Password()` Returns the meta object for the attribute '`Password`'.
    `EReference` | `getMylynQueriesTask_Queries()` Returns the meta object for the containment reference list '`Queries`'.
    `EAttribute` | `getMylynQueriesTask_RepositoryURL()` Returns the meta object for the attribute '`Repository URL`'.
    `EAttribute` | `getMylynQueriesTask_UserID()` Returns the meta object for the attribute '`User ID`'.
    `EClass` | `getMylynQueriesTask()` Returns the meta object for class '`Queries Task`'.
    `EReference` | `getQuery_Attributes()` Returns the meta object for the map '`Attributes`'.
    `EAttribute` | `getQuery_Summary()` Returns the meta object for the attribute '`Summary`'.
    `EReference` | `getQuery_Task()` Returns the meta object for the container reference '`Task`'.
    `EAttribute` | `getQuery_URL()` Returns the meta object for the attribute '`URL`'.
    `EClass` | `getQuery()` Returns the meta object for class '`Query`'.
    `EAttribute` | `getQueryAttribute_Key()` Returns the meta object for the attribute '`Key`'.
    `EAttribute` | `getQueryAttribute_Value()` Returns the meta object for the attribute '`Value`'.
    `EClass` | `getQueryAttribute()` Returns the meta object for class '`Query Attribute`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final MylynPackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### MYLYN_QUERIES_TASK

          static final int MYLYN_QUERIES_TASK

      The meta object id for the '`Queries Task`' class.
      See Also:
        `MylynQueriesTaskImpl`, `MylynPackageImpl.getMylynQueriesTask()`, Constant Field Values
      Generated

    - #### MYLYN_QUERIES_TASK__ANNOTATIONS

          static final int MYLYN_QUERIES_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__ID

          static final int MYLYN_QUERIES_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__DESCRIPTION

          static final int MYLYN_QUERIES_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__SCOPE_TYPE

          static final int MYLYN_QUERIES_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__EXCLUDED_TRIGGERS

          static final int MYLYN_QUERIES_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__DISABLED

          static final int MYLYN_QUERIES_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__PREDECESSORS

          static final int MYLYN_QUERIES_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__SUCCESSORS

          static final int MYLYN_QUERIES_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__RESTRICTIONS

          static final int MYLYN_QUERIES_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__CONNECTOR_KIND

          static final int MYLYN_QUERIES_TASK__CONNECTOR_KIND

      The feature id for the 'Connector Kind' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__REPOSITORY_URL

          static final int MYLYN_QUERIES_TASK__REPOSITORY_URL

      The feature id for the 'Repository URL' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__USER_ID

          static final int MYLYN_QUERIES_TASK__USER_ID

      The feature id for the 'User ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__PASSWORD

          static final int MYLYN_QUERIES_TASK__PASSWORD

      The feature id for the 'Password' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK__QUERIES

          static final int MYLYN_QUERIES_TASK__QUERIES

      The feature id for the 'Queries' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_QUERIES_TASK_FEATURE_COUNT

          static final int MYLYN_QUERIES_TASK_FEATURE_COUNT

      The number of structural features of the 'Queries Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK

          static final int MYLYN_BUILDS_TASK

      The meta object id for the '`Builds Task`' class.
      See Also:
        `MylynBuildsTaskImpl`, `MylynPackageImpl.getMylynBuildsTask()`, Constant Field Values
      Generated

    - #### MYLYN_BUILDS_TASK__ANNOTATIONS

          static final int MYLYN_BUILDS_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__ID

          static final int MYLYN_BUILDS_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__DESCRIPTION

          static final int MYLYN_BUILDS_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__SCOPE_TYPE

          static final int MYLYN_BUILDS_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__EXCLUDED_TRIGGERS

          static final int MYLYN_BUILDS_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__DISABLED

          static final int MYLYN_BUILDS_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__PREDECESSORS

          static final int MYLYN_BUILDS_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__SUCCESSORS

          static final int MYLYN_BUILDS_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__RESTRICTIONS

          static final int MYLYN_BUILDS_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__CONNECTOR_KIND

          static final int MYLYN_BUILDS_TASK__CONNECTOR_KIND

      The feature id for the 'Connector Kind' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__SERVER_URL

          static final int MYLYN_BUILDS_TASK__SERVER_URL

      The feature id for the 'Server URL' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__USER_ID

          static final int MYLYN_BUILDS_TASK__USER_ID

      The feature id for the 'User ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__PASSWORD

          static final int MYLYN_BUILDS_TASK__PASSWORD

      The feature id for the 'Password' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK__BUILD_PLANS

          static final int MYLYN_BUILDS_TASK__BUILD_PLANS

      The feature id for the 'Build Plans' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MYLYN_BUILDS_TASK_FEATURE_COUNT

          static final int MYLYN_BUILDS_TASK_FEATURE_COUNT

      The number of structural features of the 'Builds Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### BUILD_PLAN

          static final int BUILD_PLAN

      The meta object id for the '`Build Plan`' class.
      See Also:
        `BuildPlanImpl`, `MylynPackageImpl.getBuildPlan()`, Constant Field Values
      Generated

    - #### BUILD_PLAN__ANNOTATIONS

          static final int BUILD_PLAN__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### BUILD_PLAN__NAME

          static final int BUILD_PLAN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### BUILD_PLAN_FEATURE_COUNT

          static final int BUILD_PLAN_FEATURE_COUNT

      The number of structural features of the 'Build Plan' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY

          static final int QUERY

      The meta object id for the '`Query`' class.
      See Also:
        `QueryImpl`, `MylynPackageImpl.getQuery()`, Constant Field Values
      Generated

    - #### QUERY__ANNOTATIONS

          static final int QUERY__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY__TASK

          static final int QUERY__TASK

      The feature id for the 'Task' container reference.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY__SUMMARY

          static final int QUERY__SUMMARY

      The feature id for the 'Summary' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY__URL

          static final int QUERY__URL

      The feature id for the 'URL' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY__ATTRIBUTES

          static final int QUERY__ATTRIBUTES

      The feature id for the 'Attributes' map.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY_FEATURE_COUNT

          static final int QUERY_FEATURE_COUNT

      The number of structural features of the 'Query' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY_ATTRIBUTE

          static final int QUERY_ATTRIBUTE

      The meta object id for the '`Query Attribute`' class.
      See Also:
        `QueryAttributeImpl`, `MylynPackageImpl.getQueryAttribute()`, Constant Field Values
      Generated

    - #### QUERY_ATTRIBUTE__KEY

          static final int QUERY_ATTRIBUTE__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY_ATTRIBUTE__VALUE

          static final int QUERY_ATTRIBUTE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### QUERY_ATTRIBUTE_FEATURE_COUNT

          static final int QUERY_ATTRIBUTE_FEATURE_COUNT

      The number of structural features of the 'Query Attribute' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

  - ### Method Detail

    - #### getMylynQueriesTask

          EClass getMylynQueriesTask()

      Returns the meta object for class '`Queries Task`'.
      Returns:
        the meta object for class 'Queries Task'.
      See Also:
        `MylynQueriesTask`
      Generated

    - #### getMylynQueriesTask_ConnectorKind

          EAttribute getMylynQueriesTask_ConnectorKind()

      Returns the meta object for the attribute '`Connector Kind`'.
      Returns:
        the meta object for the attribute 'Connector Kind'.
      See Also:
        `MylynQueriesTask.getConnectorKind()`, `getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_RepositoryURL

          EAttribute getMylynQueriesTask_RepositoryURL()

      Returns the meta object for the attribute '`Repository URL`'.
      Returns:
        the meta object for the attribute 'Repository URL'.
      See Also:
        `MylynQueriesTask.getRepositoryURL()`, `getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_UserID

          EAttribute getMylynQueriesTask_UserID()

      Returns the meta object for the attribute '`User ID`'.
      Returns:
        the meta object for the attribute 'User ID'.
      See Also:
        `MylynQueriesTask.getUserID()`, `getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_Password

          EAttribute getMylynQueriesTask_Password()

      Returns the meta object for the attribute '`Password`'.
      Returns:
        the meta object for the attribute 'Password'.
      See Also:
        `MylynQueriesTask.getPassword()`, `getMylynQueriesTask()`
      Generated

    - #### getMylynQueriesTask_Queries

          EReference getMylynQueriesTask_Queries()

      Returns the meta object for the containment reference list '`Queries`'.
      Returns:
        the meta object for the containment reference list 'Queries'.
      See Also:
        `MylynQueriesTask.getQueries()`, `getMylynQueriesTask()`
      Generated

    - #### getMylynBuildsTask

          EClass getMylynBuildsTask()

      Returns the meta object for class '`Builds Task`'.
      Returns:
        the meta object for class 'Builds Task'.
      See Also:
        `MylynBuildsTask`
      Generated

    - #### getMylynBuildsTask_ConnectorKind

          EAttribute getMylynBuildsTask_ConnectorKind()

      Returns the meta object for the attribute '`Connector Kind`'.
      Returns:
        the meta object for the attribute 'Connector Kind'.
      See Also:
        `MylynBuildsTask.getConnectorKind()`, `getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_ServerURL

          EAttribute getMylynBuildsTask_ServerURL()

      Returns the meta object for the attribute '`Server URL`'.
      Returns:
        the meta object for the attribute 'Server URL'.
      See Also:
        `MylynBuildsTask.getServerURL()`, `getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_UserID

          EAttribute getMylynBuildsTask_UserID()

      Returns the meta object for the attribute '`User ID`'.
      Returns:
        the meta object for the attribute 'User ID'.
      See Also:
        `MylynBuildsTask.getUserID()`, `getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_Password

          EAttribute getMylynBuildsTask_Password()

      Returns the meta object for the attribute '`Password`'.
      Returns:
        the meta object for the attribute 'Password'.
      See Also:
        `MylynBuildsTask.getPassword()`, `getMylynBuildsTask()`
      Generated

    - #### getMylynBuildsTask_BuildPlans

          EReference getMylynBuildsTask_BuildPlans()

      Returns the meta object for the containment reference list '`Build Plans`'.
      Returns:
        the meta object for the containment reference list 'Build Plans'.
      See Also:
        `MylynBuildsTask.getBuildPlans()`, `getMylynBuildsTask()`
      Generated

    - #### getBuildPlan

          EClass getBuildPlan()

      Returns the meta object for class '`Build Plan`'.
      Returns:
        the meta object for class 'Build Plan'.
      See Also:
        `BuildPlan`
      Generated

    - #### getBuildPlan_Name

          EAttribute getBuildPlan_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `BuildPlan.getName()`, `getBuildPlan()`
      Generated

    - #### getQuery

          EClass getQuery()

      Returns the meta object for class '`Query`'.
      Returns:
        the meta object for class 'Query'.
      See Also:
        `Query`
      Generated

    - #### getQuery_Task

          EReference getQuery_Task()

      Returns the meta object for the container reference '`Task`'.
      Returns:
        the meta object for the container reference 'Task'.
      See Also:
        `Query.getTask()`, `getQuery()`
      Generated

    - #### getQuery_Summary

          EAttribute getQuery_Summary()

      Returns the meta object for the attribute '`Summary`'.
      Returns:
        the meta object for the attribute 'Summary'.
      See Also:
        `Query.getSummary()`, `getQuery()`
      Generated

    - #### getQuery_URL

          EAttribute getQuery_URL()

      Returns the meta object for the attribute '`URL`'.
      Returns:
        the meta object for the attribute 'URL'.
      See Also:
        `Query.getURL()`, `getQuery()`
      Generated

    - #### getQuery_Attributes

          EReference getQuery_Attributes()

      Returns the meta object for the map '`Attributes`'.
      Returns:
        the meta object for the map 'Attributes'.
      See Also:
        `Query.getAttributes()`, `getQuery()`
      Generated

    - #### getQueryAttribute

          EClass getQueryAttribute()

      Returns the meta object for class '`Query Attribute`'.
      Returns:
        the meta object for class 'Query Attribute'.
      See Also:
        `Map.Entry`
      Generated
      Model
        keyDataType="org.eclipse.emf.ecore.EString" keyRequired="true" valueDataType="org.eclipse.emf.ecore.EString"

    - #### getQueryAttribute_Key

          EAttribute getQueryAttribute_Key()

      Returns the meta object for the attribute '`Key`'.
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `getQueryAttribute()`
      Generated

    - #### getQueryAttribute_Value

          EAttribute getQueryAttribute_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `getQueryAttribute()`
      Generated

    - #### getMylynFactory

          MylynFactory getMylynFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html